Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.stmt
[Java] Class TryCatchStatement

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.stmt.Statement
              org.codehaus.groovy.ast.stmt.TryCatchStatement

    public class TryCatchStatement
    extends Statement

Represents a try { ... } catch () finally {} statement in Groovy

Authors:
  James Strachan

Version:
  \$Revision\$

Constructor Summary
`TryCatchStatement(Statement tryStatement, Statement finallyStatement)`

Method Summary
`void` | `addCatch(CatchStatement catchStatement)`
`CatchStatement` | `getCatchStatement(int idx)` @return the catch statement of the given index or null
`java.util.List` | `getCatchStatements()`
`Statement` | `getFinallyStatement()`
`Statement` | `getTryStatement()`
`void` | `setCatchStatement(int idx, CatchStatement catchStatement)`
`void` | `setFinallyStatement(Statement finallyStatement)`
`void` | `setTryStatement(Statement tryStatement)`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class Statement
getStatementLabel, isEmpty, setStatementLabel

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### TryCatchStatement

    public TryCatchStatement(Statement tryStatement, Statement finallyStatement)

Method Detail

### addCatch

    public void addCatch(CatchStatement catchStatement)

### getCatchStatement

    public CatchStatement getCatchStatement(int idx)

  Returns:
    the catch statement of the given index or null

### getCatchStatements

    public java.util.List getCatchStatements()

### getFinallyStatement

    public Statement getFinallyStatement()

### getTryStatement

    public Statement getTryStatement()

### setCatchStatement

    public void setCatchStatement(int idx, CatchStatement catchStatement)

### setFinallyStatement

    public void setFinallyStatement(Statement finallyStatement)

### setTryStatement

    public void setTryStatement(Statement tryStatement)

### visit

    public void visit(GroovyCodeVisitor visitor)

Groovy Documentation